{ config, pkgs, helix-master, ... }:

{
	programs.helix = {
		enable = true;
		package = helix-master.packages."x86_64-linux".default;
		settings = {
			theme = "rose_pine_moon";
			editor = {
				line-number = "relative";
				lsp.display-messages = true;
				scrolloff = 5;
				middle-click-paste = false;
				cursorline = true;
				auto-format = false;
				idle-timeout = 400;
				color-modes = true;
#				gutters = [ "diff" "diagnostics" "line-numbers" "spacer" ];
#				gutters.layout = [ "diff" "diagnostics" "line-numbers" "spacer" ];
				whitespace = {
					render = {
						space = "all";
						tab = "none";
						newline = "none";
					};
				};

				indent-guides = {
					render = true;
					character = "▏";
				};

			};
		};
	};
}
